Package org.picocontainer.injectors

# Class AnnotatedMethodInjector

java.lang.Object
org.picocontainer.adapters.AbstractAdapter
org.picocontainer.injectors.AbstractInjector
org.picocontainer.injectors.IterativeInjector
org.picocontainer.injectors.SetterInjector
org.picocontainer.injectors.AnnotatedMethodInjector

All Implemented Interfaces:
  `Serializable`, `ComponentAdapter`, `ComponentMonitorStrategy`, `Injector`

public class AnnotatedMethodInjector extends SetterInjector

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.picocontainer.injectors.AbstractInjector

`AbstractInjector.AmbiguousComponentResolutionException, AbstractInjector.CyclicDependencyException, AbstractInjector.NotConcreteRegistrationException, AbstractInjector.UnsatisfiableDependenciesException`

## Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter

`ComponentAdapter.NOTHING`

## Field Summary

### Fields inherited from class org.picocontainer.injectors.SetterInjector

`prefix`

### Fields inherited from class org.picocontainer.injectors.IterativeInjector

`bindings, injectionMembers, injectionTypes`

### Fields inherited from class org.picocontainer.injectors.AbstractInjector

`parameters, verifyingGuard`

## Constructor Summary

Constructors
Constructor
Description
`AnnotatedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor, Class<? extends Annotation> injectionAnnotation, boolean useNames)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescriptor()`
Get a string key descriptor of the component adapter for use in toString()
`protected Object`
`injectIntoMember(AccessibleObject member, Object componentInstance, Object toInject)`
`protected final boolean`
`isInjectorMethod(Method method)`

### Methods inherited from class org.picocontainer.injectors.SetterInjector

`getInjectorPrefix, memberInvocationReturn, unsatisfiedDependencies`

### Methods inherited from class org.picocontainer.injectors.IterativeInjector

`crudeMethodSignature, decorateComponentInstance, getComponentInstance, getConstructor, getName, initializeInjectionMembersAndTypeLists, makeParameterNameImpl, verify`

### Methods inherited from class org.picocontainer.injectors.AbstractInjector

`accept, box, caughtIllegalAccessException, caughtIllegalAccessException, caughtInstantiationException, caughtInvocationTargetException, createDefaultParameters, getComponentInstance, newInstance, useNames`

### Methods inherited from class org.picocontainer.adapters.AbstractAdapter

`changeMonitor, checkTypeCompatibility, currentMonitor, findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.picocontainer.ComponentAdapter

`findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate`

## Constructor Details

### AnnotatedMethodInjector

public AnnotatedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor, Class<? extends Annotation> injectionAnnotation, boolean useNames)

## Method Details

### injectIntoMember

protected Object injectIntoMember(AccessibleObject member, Object componentInstance, Object toInject) throws IllegalAccessException, InvocationTargetException

Overrides:
  `injectIntoMember` in class `SetterInjector`
Throws:
  `IllegalAccessException`
  `InvocationTargetException`

### isInjectorMethod

protected final boolean isInjectorMethod(Method method)

Overrides:
  `isInjectorMethod` in class `SetterInjector`

### getDescriptor

public String getDescriptor()
Description copied from interface: `ComponentAdapter`
Get a string key descriptor of the component adapter for use in toString()

Specified by:
  `getDescriptor` in interface `ComponentAdapter`
Overrides:
  `getDescriptor` in class `SetterInjector`
Returns:
  the descriptor